| Home | Libraries | People | FAQ | More

## Struct template scoped_allocator_operator_equal

boost::container::scoped_allocator_operator_equal

## Synopsis

    // In header: <boost/container/scoped_allocator.hpp>

    template<bool ZeroInner>
    struct scoped_allocator_operator_equal {

      // public static functions
      template<typename IA> static bool equal_outer(const IA &, const IA &);
      template<typename IA1, typename IA2>
        static bool equal_outer(const IA1 &, const IA2 &);
      template<typename IA> static bool equal_inner(const IA &, const IA &);
    };

## Description

### `scoped_allocator_operator_equal` public static functions

1.     template<typename IA> static bool equal_outer(const IA & l, const IA & r);

2.     template<typename IA1, typename IA2>
         static bool equal_outer(const IA1 & l, const IA2 & r);

3.     template<typename IA> static bool equal_inner(const IA & l, const IA & r);